--
-- ### Function return dim for decimal check   
-- 

drop if exists table t1;
create table t1 ( a int, b string(10));

drop if exists procedure getDecValue;
@
create procedure getDecValue() return decimal(10,2)
begin
	var a decimal (10,2);
	:a = (decimal)34.34;
	return :a;
end;
@

-- result should be 0.00
select sum(getDecValue()) from t1;


